# ifndef BILDERSHOWGUI_H
# define BILDERSHOWGUI_H

# include <QDialog>
# include <QProcess>

# include "ui_bildershowgui.h"

class BildershowGui : public QDialog, public Ui::BildershowGui
{
	Q_OBJECT

public:
	BildershowGui(QWidget *parent = 0);

private slots:
	void converttest();
	void thumbssize(int);

	void chooseBColor();
	void chooseTColor();
	void chooseLColor();

	void updateBColor();
	void updateTColor();
	void updateLColor();

	void openDialog();
	void create();
	void procThumbs();
	void convertBeendet(int exitCode, QProcess::ExitStatus exitStatus);

	void errorDir();

private:
	QFont font;
	QProcess proc;

	QString verzeichnis;
	QString verzThumbs;
	QStringList picname;
	QStringList htmname;
	int hauflthumbs;

	int anz;
	int z;

};

# endif